/* ***************
Desc: Installation script For Mozilla Suite, Firefox prior to 0.9 and thunderbird prior to 0.7
Author: Jed Brown (jedbro@gmx.net)
****************** */
const author		= "Michael Newton";
const displayName	= "PasteIP";
const name		= "pasteip";
const version		= "1.7";
var contentFlag		= CONTENT | PROFILE_CHROME;
var error		= null;
var folder		= getFolder("Profile", "chrome");
var localeFlag		= LOCALE | PROFILE_CHROME;
var skinFlag		= SKIN | PROFILE_CHROME;
var jarName		= name + ".jar";
var existsInApplication	= File.exists(getFolder(getFolder("chrome"), jarName));
var existsInProfile	= File.exists(getFolder(folder, jarName));
const SUCCESS_MESSAGE	= "On systems with multiple IP addresses, you may create the integer preference\n'pasteip.ipaddress.select' to select which address (0, 1, etc) to paste.";

initInstall(displayName, name, version);

setPackageFolder(folder);
error = addFile(author, version, 'chrome/' + jarName, folder, null);

if(error == SUCCESS) {
	folder = getFolder(folder, jarName);
	registerChrome(contentFlag, folder, "content/" + name + "/");
	registerChrome(localeFlag, folder, "locale/en-CA/" + name + "/");
	registerChrome(localeFlag, folder, "locale/en-GB/" + name + "/");
	registerChrome(localeFlag, folder, "locale/en-AU/" + name + "/");
	registerChrome(localeFlag, folder, "locale/en-NZ/" + name + "/");
	registerChrome(localeFlag, folder, "locale/en-US/" + name + "/");
	registerChrome(localeFlag, folder, "locale/fr-FR/" + name + "/");
	registerChrome(localeFlag, folder, "locale/es-ES/" + name + "/");
	registerChrome(localeFlag, folder, "locale/it-IT/" + name + "/");
	registerChrome(localeFlag, folder, "locale/de-DE/" + name + "/");
	registerChrome(localeFlag, folder, "locale/de-AT/" + name + "/");
	registerChrome(localeFlag, folder, "locale/nl-NL/" + name + "/");
	registerChrome(localeFlag, folder, "locale/ja-JP/" + name + "/");
	registerChrome(localeFlag, folder, "locale/pl-PL/" + name + "/");
	error = performInstall();

	if(error == SUCCESS || error == 999) {
		alert(displayName + " " + version + " has been succesfully installed.\n" + SUCCESS_MESSAGE + "\n\nPlease restart your browser to complete installation.");
	}
	else {
		alert("Install failed. Error code:" + error);
		cancelInstall(error);
	}
}
else {
	alert("The installation of the extension failed.\n" + error + "\n Failed to create " + jarName + "!\nMake sure you have the correct permissions");
	cancelInstall(error);
}
